Create Bank Withdraw

This end point initiates the withdrawal of an authenticated account.

🚧

Verify Details Before Initiating Withdrawals.

Please take a moment to verify the bank information provided, because an initiated withdraw cannot be recovered.


PATH PARAMS

user_id - string
The User ID. Use 'me' if you are creating a withdrawal from the master account, use the user_id if creating a withdrawal from the Sub-account linked to the authenticated user.

BODY PARAMS

Sample Request

curl --request POST \
     --url https://openapi.quidax.io/exchange-open-api/api/v1/users/me/withdraws \
     --header 'Authorization: Bearer xxxx' \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
  "currency": "ngn",
  "amount": "1000",
  "transaction_note": "Stay safe",
  "narration": "We love you.",
  "fund_uid": "00000000000",
  "fund_uid2": "0000",
  "reference": "nnnnnmhghhbnn"
}
'

Body Parameters

ParameterTypeRequiredDescription
currencystringYesCurrency to withdraw.ngn.
amountstringYesAmount to send to the recipient.
fund_uidstringYesRecipient account identifier. For NGN bank withdrawals, this is the account number.
fund_uid2stringNoAdditional recipient identifier. For NGN bank withdrawals, this is the bank code.
transaction_notestringNoNote for the transaction.
narrationstringNoNarration for the recipient.
referencestringYesUnique reference for the withdrawal.

Sample Response

{
  "status": "success",
  "message": "Successful",
  "data": {
    "id": "FW-60baecb6a6374cbf89e8b0d3da11b8f6",
    "reference": "nnnnnmhghhbnn",
    "type": "bank_account",
    "currency": "ngn",
    "amount": "1000.0",
    "fee": "200.0",
    "stamp_duty_fee": "0.0",
    "total": "1200.0",
    "txid": "nnnnnmhghhbnn",
    "transaction_note": null,
    "narration": "Payout",
    "status": "Processing",
    "reason": null,
    "created_at": "2026-05-24T11:28:54Z",
    "done_at": "2026-05-24T11:28:54Z",
    "recipient": {
      "type": "bank_account",
      "details": {
        "bank_code": "100004"
      }
    },
    "wallet": {
      "id": "c1e3356a606e46278360dd6f01d41b951777967506624",
      "name": "NGN",
      "currency": "ngn",
      "balance": "1556.5484223678",
      "locked": "0.0",
      "staked": "0.0",
      "user": {
        "id": "23azi7bj",
        "sn": "Qqappstatemerchant",
        "email": "[email protected]",
        "reference": null,
        "first_name": "test",
        "last_name": "user",
        "display_name": "testcompany",
        "created_at": "2021-04-09T09:48:14.000Z",
        "updated_at": "2026-05-04T11:12:37.000Z"
      },
      "converted_balance": "0.0",
      "reference_currency": "ngn",
      "is_crypto": false,
      "created_at": "2021-04-09T09:48:14.000Z",
      "updated_at": "2026-05-24T11:28:55.000Z",
      "blockchain_enabled": false,
      "default_network": null,
      "networks": [],
      "deposit_address": null,
      "destination_tag": null
    },
    "user": {
      "id": "23azi7bj",
      "sn": "Qqappstatemerchant",
      "email": "[email protected]",
      "reference": null,
      "first_name": "test",
      "last_name": "user",
      "display_name": "testcompany",
      "created_at": "2021-04-09T09:48:14.000Z",
      "updated_at": "2026-05-04T11:12:37.000Z"
    }
  }
}